<template>
      <v-dialog
        v-model="showDialog"
        width="600px"
      >
      <v-card>
        <v-card-title>
          {{ title }}
          <v-spacer></v-spacer>
          <v-btn icon @click="showDialog = false" color="primary"><v-icon color="secondary">mdi-close</v-icon></v-btn>
        </v-card-title>
        <v-card-subtitle>{{ subtitle }}</v-card-subtitle>
        <v-card-text>
          <v-expansion-panels accordion  tile  >
            <v-expansion-panel v-for="item,index in items" :key="index">
              <v-expansion-panel-header>
                #{{ index }} | {{ item.type_description }}  <v-spacer></v-spacer><v-icon style="flex-grow: 0;" v-if="severityIcons[item.severity]" :color="severityIcons[item.severity][1]">{{ severityIcons[item.severity][0] }}</v-icon>
              </v-expansion-panel-header>
              <v-expansion-panel-content
                style="font-size:11px; text-align:left"
              >
              <v-chip class="mt-n4" label color="secondary" v-if="item.id" x-small>{{ item.id }}</v-chip>
              <v-chip class="mt-n4" label color="secondary" v-if="item.id" x-small>{{ item.type }}</v-chip><br />
              <v-chip class="mt-n4" label color="secondary" v-if="item.first_seen_tag" x-small>{{ item.first_seen_tag }}</v-chip>
              <v-chip v-if="!item.source_package_ids" class="mt-n4" label color="primary" x-small>{{ item.source_package_id }}</v-chip>
              <v-chip v-else v-for="sp,index in item.source_package_ids" :key="index" class="mt-n4 mr-1" label color="primary" v-if="item.source_package_id" x-small>{{ sp }}</v-chip>

              <pre class="mt-4 mb-4" style="max-height:150px;white-space:pre-wrap;word-wrap:break-word;max-width:100%;overflow:scroll"><span v-html="item.comment"></span></pre>

              <template v-for="sp,index in item.tags" >
                <v-chip class=" mr-1" label color="primary" v-if="item.id" x-small >{{ index }}</v-chip>
                <v-chip v-for="tags in sp" :key="index" class="mr-1" label color="white" v-if="item.id" x-small >{{ tags }}</v-chip><br />
              </template>
              
              </v-expansion-panel-content>
            </v-expansion-panel>
          </v-expansion-panels>
        </v-card-text>
      </v-card>
      </v-dialog>
</template>
  
<script>
export default {
  name: "AnomaliesDetails",
  props: {
    title: { type: String, default: "Anomalies" },
    subtitle: { type: String, default: "manual/untraced actions" },

  },
  methods: {
    show(items) {
      this.items = items;
      this.showDialog = true;
    }
  },
  data: () => {
    return {
      items: [],
      showDialog: false,
      severityIcons: {
        'trace' : ['mdi-bug-check', 'black'],
        'LOW' : ['mdi-bug-check', 'black'],
        'debug' :['mdi-bug-outline', 'black'],
        'info' : ['mdi-information-outline', 'green'],
        'warn' :['mdi-alert', 'orange'],
        'MEDIUM' :['mdi-alert', 'orange'],
        'error' :['mdi-alert-circle', 'red'],
        'fatal' :['mdi-alert-circle', 'red'],
        'HIGH' :['mdi-alert-circle', 'red'],
      }
    }
  }
}
</script>
  